View Issue Details

IDProjectCategoryView StatusLast Update
0016073LazarusIDEpublic2011-04-11 02:46
ReporterFlávio Etrusco (notifications not working)Assigned ToMartin Friebe 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version0.9.29 (SVN)Product Build 
Target Version0.9.30Fixed in Version0.9.30 
Summary0016073: Reloading files (after changes detected "on disk") doesn't preserve Caret, Selection, etc
DescriptionWhen a reloading a file after a "changes detected on disk" notification Caret, Selection and TopLine (at least) aren't preserved (everything is reset to BOF).
I see there's code to preserve these and much more, but it isn't working.
TagsNo tags attached.
Fixed in Revision25285
LazTarget1.2
Widgetset
Attached Files

Activities

The problem only occurs sometimes, couldn't figure out the condition.

Martin Friebe

2010-05-09 21:09

manager   ~0037403

please test and close if ok

Issue History

Date Modified Username Field Change
2010-03-22 04:41 Flávio Etrusco (notifications not working) New Issue
2010-03-22 04:41 Flávio Etrusco (notifications not working) LazTarget => -
2010-03-22 04:45 Flávio Etrusco (notifications not working) Description Updated
2010-03-22 13:33 Martin Friebe LazTarget - => 1.2
2010-03-22 13:33 Martin Friebe Status new => confirmed
2010-04-06 09:35 Flávio Etrusco (notifications not working) Note Added: 0036483
2010-05-09 20:44 Martin Friebe Status confirmed => assigned
2010-05-09 20:44 Martin Friebe Assigned To => Martin Friebe
2010-05-09 21:09 Martin Friebe Fixed in Revision => 25285
2010-05-09 21:09 Martin Friebe Status assigned => resolved
2010-05-09 21:09 Martin Friebe Fixed in Version => 0.9.29 (SVN)
2010-05-09 21:09 Martin Friebe Resolution open => fixed
2010-05-09 21:09 Martin Friebe Note Added: 0037403
2010-05-09 21:09 Martin Friebe Target Version => 0.9.30
2011-04-11 02:46 Flávio Etrusco (notifications not working) Status resolved => closed
2011-04-11 02:46 Flávio Etrusco (notifications not working) Fixed in Version 0.9.29 (SVN) => 0.9.30